Update Google Chrome Immediately to Patch a High Severity Vulnerability

You must update your Google Chrome now.

Security researcher MichaƂ Bentkowski discovered and reported a high severity vulnerability in Google Chrome in late May, affecting the web browsing software for all major operating systems including Windows, Mac, and Linux.

Without revealing any technical detail about the vulnerability, the Chrome security team described the issue as incorrect

View full post on The Hacker News

Sponsored Link: http://youtube.com/no1hacker

http://twiter.com/gregorydevans